-------------------------------
--  "MV" awesome theme       --
--    By Martin V.           --
-------------------------------

local themes_path = require("gears.filesystem").get_themes_dir()
local dpi = require("beautiful.xresources").apply_dpi

-- {{{ Main
local theme = {}
theme.wallpaper = "~/.config/awesome/themes/mv/mv.png"
-- }}}

-- {{{ Styles
theme.font      = "monospace 9"

-- {{{ Colors
theme.fg_normal  = "#FFFFFF"
theme.fg_focus   = "#b9d9ff"
theme.fg_urgent  = "#CC9393"
theme.bg_normal  = "#3F3F3FA5"
theme.bg_focus   = "#090c0e"
theme.bg_urgent  = "#3F3F3F"
theme.bg_systray = theme.bg_normal
theme.widget_red = "#ff6b6b"
theme.widget_main_color = theme.bg_focus
-- }}}

-- {{{ Borders
theme.useless_gap   = dpi(5)
theme.border_width  = dpi(1)
theme.border_normal = "#3F3F3F"
theme.border_focus  = "#b4c6da"
theme.border_marked = "#CC9393"
-- }}}

-- {{{ Titlebars
theme.titlebar_bg_focus  = "#3F3F3F"
theme.titlebar_bg_normal = "#3F3F3FA5"
-- }}}

-- }}}

-- {{{ Mouse finder
theme.mouse_finder_color = "#CC9393"
-- }}}

-- {{{ Menu
theme.menu_height = dpi(15)
theme.menu_width  = dpi(150)
-- }}}

-- {{{ Taglist
theme.taglist_squares_sel   = "~/.config/awesome/themes/mv/taglist/squarefz.png"
theme.taglist_squares_unsel = "~/.config/awesome/themes/mv/taglist/squarez.png"
theme.taglist_bg_occupied = "#3F3F3F"
theme.taglist_bg_empty = "#3F3F3F"
-- }}}

-- {{{ Misc
theme.awesome_icon           = "~/.config/awesome/themes/mv/awesome-icon.png"
theme.menu_icon           = "~/.config/awesome/themes/mv/menu.png"
theme.menu_submenu_icon      = "~/.config/awesome/themes/mv/submenu.png"
-- }}}

-- {{{ Layout
theme.layout_tile       = "~/.config/awesome/themes/mv/layouts/tile.png"
theme.layout_tileleft   = "~/.config/awesome/themes/mv/layouts/tileleft.png"
theme.layout_tilebottom = "~/.config/awesome/themes/mv/layouts/tilebottom.png"
theme.layout_tiletop    = "~/.config/awesome/themes/mv/layouts/tiletop.png"
theme.layout_fairv      = "~/.config/awesome/themes/mv/layouts/fairv.png"
theme.layout_fairh      = "~/.config/awesome/themes/mv/layouts/fairh.png"
theme.layout_spiral     = "~/.config/awesome/themes/mv/layouts/spiral.png"
theme.layout_dwindle    = "~/.config/awesome/themes/mv/layouts/dwindle.png"
theme.layout_max        = "~/.config/awesome/themes/mv/layouts/max.png"
theme.layout_fullscreen = "~/.config/awesome/themes/mv/layouts/fullscreen.png"
theme.layout_magnifier  = "~/.config/awesome/themes/mv/layouts/magnifier.png"
theme.layout_floating   = "~/.config/awesome/themes/mv/layouts/floating.png"
theme.layout_cornernw   = "~/.config/awesome/themes/mv/layouts/cornernw.png"
theme.layout_cornerne   = "~/.config/awesome/themes/mv/layouts/cornerne.png"
theme.layout_cornersw   = "~/.config/awesome/themes/mv/layouts/cornersw.png"
theme.layout_cornerse   = "~/.config/awesome/themes/mv/layouts/cornerse.png"
-- }}}

-- {{{ Titlebar
theme.titlebar_close_button_focus  = "~/.config/awesome/themes/mv/titlebar/close_focus.png"
theme.titlebar_close_button_normal = "~/.config/awesome/themes/mv/titlebar/close_normal.png"

theme.titlebar_minimize_button_normal = "~/.config/awesome/themes/mv/titlebar/minimize_normal.png"
theme.titlebar_minimize_button_focus  = "~/.config/awesome/themes/mv/titlebar/minimize_focus.png"

theme.titlebar_ontop_button_focus_active  = "~/.config/awesome/themes/mv/titlebar/ontop_focus_active.png"
theme.titlebar_ontop_button_normal_active = "~/.config/awesome/themes/mv/titlebar/ontop_normal_active.png"
theme.titlebar_ontop_button_focus_inactive  = "~/.config/awesome/themes/mv/titlebar/ontop_focus_inactive.png"
theme.titlebar_ontop_button_normal_inactive = "~/.config/awesome/themes/mv/titlebar/ontop_normal_inactive.png"

theme.titlebar_sticky_button_focus_active  = "~/.config/awesome/themes/mv/titlebar/sticky_focus_active.png"
theme.titlebar_sticky_button_normal_active = "~/.config/awesome/themes/mv/titlebar/sticky_normal_active.png"
theme.titlebar_sticky_button_focus_inactive  = "~/.config/awesome/themes/mv/titlebar/sticky_focus_inactive.png"
theme.titlebar_sticky_button_normal_inactive = "~/.config/awesome/themes/mv/titlebar/sticky_normal_inactive.png"

theme.titlebar_floating_button_focus_active  = "~/.config/awesome/themes/mv/titlebar/floating_focus_active.png"
theme.titlebar_floating_button_normal_active = "~/.config/awesome/themes/mv/titlebar/floating_normal_active.png"
theme.titlebar_floating_button_focus_inactive  = "~/.config/awesome/themes/mv/titlebar/floating_focus_inactive.png"
theme.titlebar_floating_button_normal_inactive = "~/.config/awesome/themes/mv/titlebar/floating_normal_inactive.png"

theme.titlebar_maximized_button_focus_active  = "~/.config/awesome/themes/mv/titlebar/maximized_focus_active.png"
theme.titlebar_maximized_button_normal_active = "~/.config/awesome/themes/mv/titlebar/maximized_normal_active.png"
theme.titlebar_maximized_button_focus_inactive  = "~/.config/awesome/themes/mv/titlebar/maximized_focus_inactive.png"
theme.titlebar_maximized_button_normal_inactive = "~/.config/awesome/themes/mv/titlebar/maximized_normal_inactive.png"
-- }}}

return theme
